## erlang-p1-yaml 1.0.1

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

test: all
	rebar skip_deps=true eunit

.PHONY: clean src all test

## erlang-p1-yaml 0.2014.06.11

=== debian/changelog ===
erlang-p1-yaml (0.2014.06.11-1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Mar 2017 18:46:57 +0100

erlang-p1-yaml (0.2014.06.11-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.06.11

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 Jul 2014 17:48:43 +0200

erlang-p1-yaml (0.2013.12.09-2) unstable; urgency=medium

  * Added correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:56:15 +0200

erlang-p1-yaml (0.2013.12.09-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:34:06 +0200

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, libyaml-dev, erlang-base (>= 1:17.3)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/p1_yaml


Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-yaml


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_yaml-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_yaml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_yaml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

=== debian/watch ===
# There are no upstream releases yet to be tracked

## erlang-p1-yaml 1.0.1

=== debian/changelog ===
erlang-p1-yaml (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Wed, 03 Feb 2016 10:03:47 +0100

erlang-p1-yaml (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 12:46:22 +0100

erlang-p1-yaml (0.2015.10.07-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.07

 -- Philipp Huebner <debalance@debian.org>  Sat, 31 Oct 2015 16:37:32 +0100

erlang-p1-yaml (0.2015.09.25-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.09.25

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Oct 2015 10:27:36 +0200

erlang-p1-yaml (0.2014.06.11-3) unstable; urgency=medium

  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 17:46:59 +0200

erlang-p1-yaml (0.2014.06.11-2) unstable; urgency=medium

  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 19:02:20 +0200

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.3), erlang-syntax-tools, libyaml-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/processone/p1_yaml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.3)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-yaml
 
@@ -33,5 +28,5 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status
+	rm -f config.log config.status vars.config
 	dh_auto_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-yaml_$1.tar.gz/" \
  https://github.com/processone/p1_yaml/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-yaml 1.0.5

=== debian/changelog ===
erlang-p1-yaml (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Aug 2016 20:26:38 +0200

erlang-p1-yaml (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 16:58:42 +0200

erlang-p1-yaml (1.0.3-2) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 14:13:33 +0200

erlang-p1-yaml (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Wed, 30 Mar 2016 20:02:54 +0200

erlang-p1-yaml (1.0.2-1) unstable; urgency=medium

  * ProcessOne renamed p1_yaml to fast_yaml
  * Imported Upstream version 1.0.2
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 15:22:28 +0100

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.4), erlang-syntax-tools, libyaml-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/fast_yaml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.4)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.6

=== debian/changelog ===
erlang-p1-yaml (1.0.6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:25:15 +0200

erlang-p1-yaml (1.0.6-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:58:00 +0200

erlang-p1-yaml (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5)

 -- Philipp Huebner <debalance@debian.org>  Fri, 16 Sep 2016 14:56:52 +0200

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-eunit, erlang-p1-utils (>= 1.0.5), erlang-syntax-tools, libyaml-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/fast_yaml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.5)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.10

=== debian/changelog ===
erlang-p1-yaml (1.0.10-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:13 +0200

erlang-p1-yaml (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 17:21:01 +0200

erlang-p1-yaml (1.0.9-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.9
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 13:44:01 +0200

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.9), erlang-syntax-tools, libyaml-dev
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/fast_yaml
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-yaml.git

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.9)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: src
 
 src:
-	rebar compile
+	rebar get-deps compile
 
 clean:
 	rebar clean

=== debian/changelog ===
erlang-p1-yaml (1.0.12-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:04 +0100

erlang-p1-yaml (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:11:06 +0100

=== debian/control ===
Source: erlang-p1-yaml
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.10),
               erlang-syntax-tools, libyaml-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/processone/fast_yaml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.10)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-yaml

## erlang-p1-yaml 1.0.15

=== debian/changelog ===
erlang-p1-yaml (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:25:15 +0200

erlang-p1-yaml (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:10:22 +0200

erlang-p1-yaml (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Wed, 28 Mar 2018 00:17:34 +0200

=== debian/control ===
Source: erlang-p1-yaml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools,
               libyaml-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
Homepage: https://github.com/processone/fast_yaml

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.12)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.17

=== debian/changelog ===
erlang-p1-yaml (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:58:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.12),
+               erlang-p1-utils (>= 1.0.13),
                erlang-syntax-tools,
                libyaml-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
 Homepage: https://github.com/processone/fast_yaml
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.12)
+         erlang-p1-utils (>= 1.0.13)
 Description: erlang wrapper for libyaml C library
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-yaml 1.0.20

=== debian/changelog ===
erlang-p1-yaml (1.0.20-1) unstable; urgency=medium

  * New upstream version 1.0.20
  * Updated Erlang dependencies
  * Added upstream patch to fix failing unit test

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:46:19 +0200

erlang-p1-yaml (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 13:01:03 +0200

=== debian/control ===
Source: erlang-p1-yaml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.16),
               erlang-syntax-tools,
               libyaml-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
Homepage: https://github.com/processone/fast_yaml

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.16)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.22

=== debian/changelog ===
erlang-p1-yaml (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 19:58:39 +0100

erlang-p1-yaml (1.0.21-1) unstable; urgency=medium

  * New upstream version 1.0.21
  * Updated Standards-Version: 4.4.1 (no changes needed)
  * Updated debhelper compat version: 12
  * Fixed typo in long package description.

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 14:35:00 +0100

=== debian/control ===
Source: erlang-p1-yaml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.17),
               erlang-syntax-tools,
               libyaml-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
Homepage: https://github.com/processone/fast_yaml

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.17)
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-yaml

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-yaml_$1.tar.gz/" \
  https://github.com/processone/fast_yaml/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-yaml 1.0.27

=== debian/changelog ===
erlang-p1-yaml (1.0.27-1) unstable; urgency=medium

  * New upstream version 1.0.27
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:44:56 +0200

erlang-p1-yaml (1.0.26-1) unstable; urgency=medium

  * New upstream version 1.0.26
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:23:22 +0200

erlang-p1-yaml (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Apr 2020 09:18:13 +0200

erlang-p1-yaml (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 13:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.17),
+               erlang-p1-utils (>= 1.0.20),
                erlang-syntax-tools,
                libyaml-dev
 Standards-Version: 4.5.0
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.17)
+         erlang-p1-utils (>= 1.0.20)
 Description: erlang wrapper for libyaml C library
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-yaml 1.0.30

=== debian/changelog ===
erlang-p1-yaml (1.0.30-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:31:27 +0100

erlang-p1-yaml (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 19:05:18 +0100

erlang-p1-yaml (1.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.29
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-yaml.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-utils (>= 1.0.21),
                erlang-syntax-tools,
                libyaml-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
 Homepage: https://github.com/processone/fast_yaml
@@ -22,7 +22,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.20)
+         erlang-p1-utils (>= 1.0.21)
+Multi-Arch: allowed
 Description: erlang wrapper for libyaml C library
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-yaml_$1.tar.gz/" \
  https://github.com/processone/fast_yaml/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-yaml 1.0.32

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) get-deps
	$(REBAR) compile

clean:
	$(REBAR) clean

test: all
	$(REBAR) eunit

.PHONY: clean src all test

=== debian/changelog ===
erlang-p1-yaml (1.0.32-2) unstable; urgency=medium

  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:39:33 +0100

erlang-p1-yaml (1.0.32-1) unstable; urgency=medium

  * New upstream version 1.0.32
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 22:01:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-utils (>= 1.0.23),
                erlang-syntax-tools,
                libyaml-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
 Homepage: https://github.com/processone/fast_yaml
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.21)
+         erlang-p1-utils (>= 1.0.23)
 Multi-Arch: allowed
 Description: erlang wrapper for libyaml C library
  This library was written for ejabberd which still uses it.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-yaml_$1.tar.gz/" \
  https://github.com/processone/fast_yaml/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-yaml 1.0.33

=== debian/changelog ===
erlang-p1-yaml (1.0.33-1) unstable; urgency=medium

  * New upstream version 1.0.33
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:48:06 +0200

=== debian/control ===
Source: erlang-p1-yaml
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-p1-utils (>= 1.0.25),
               erlang-syntax-tools,
               libyaml-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
Homepage: https://github.com/processone/fast_yaml

Package: erlang-p1-yaml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.25)
Multi-Arch: allowed
Description: erlang wrapper for libyaml C library
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-yaml 1.0.36

=== debian/changelog ===
erlang-p1-yaml (1.0.36-2) unstable; urgency=medium

  * Dropped debian/erlang-p1-yaml.install, added debian/source/options and
    fixed debian/rules (closes: #1044892)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-yaml.lintian-overrides
    -> debian/lintian-overrides
  * Updated debian/rules

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:47:28 +0100

erlang-p1-yaml (1.0.36-1) unstable; urgency=medium

  * New upstream version 1.0.36
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 15:03:53 +0100

erlang-p1-yaml (1.0.34-1) unstable; urgency=medium

  * New upstream version 1.0.34

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools,
                libyaml-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
 Homepage: https://github.com/processone/fast_yaml

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	for file in priv/lib/*.so ; do \
@@ -27,7 +26,6 @@
 		fi ; \
 	done
 
-
 override_dh_auto_clean:
-	rm -f config.log config.status vars.config
 	dh_auto_clean
+	rm -rf compile_commands.json config.log config.status vars.config

## erlang-p1-yaml 1.0.37

=== debian/changelog ===
erlang-p1-yaml (1.0.37-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * debian/rules: add creation of symbolic link for native app name
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:17:57 +0100

erlang-p1-yaml (1.0.37-1) unstable; urgency=medium

  * New upstream version 1.0.37
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools,
                libyaml-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-yaml.git
 Homepage: https://github.com/processone/fast_yaml
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: erlang wrapper for libyaml C library
  This library was written for ejabberd which still uses it.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_yaml-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	ln -s /usr/lib/erlang/lib/p1_yaml-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/fast_yaml-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	dh_auto_clean

## erlang-p1-yaml 1.0.39

=== debian/changelog ===
erlang-p1-yaml (1.0.39-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 21:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools,
                libyaml-dev
 Standards-Version: 4.7.0

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/fast_yaml
